CfnImageRecipe L1 construct
Creates a new image recipe.
Image recipes define how images are configured, tested, and assessed.
Example
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_imagebuilder as imagebuilder } from 'aws-cdk-lib';
const cfnImageRecipe = new imagebuilder.CfnImageRecipe(this, 'MyCfnImageRecipe', {
name: 'name',
parentImage: 'parentImage',
version: 'version',
// the properties below are optional
additionalInstanceConfiguration: {
systemsManagerAgent: {
uninstallAfterBuild: false,
},
userDataOverride: 'userDataOverride',
},
amiTags: {
amiTagsKey: 'amiTags',
},
amiWatermarks: ['amiWatermarks'],
blockDeviceMappings: [{
deviceName: 'deviceName',
ebs: {
deleteOnTermination: false,
encrypted: false,
iops: 123,
kmsKeyId: 'kmsKeyId',
snapshotId: 'snapshotId',
throughput: 123,
volumeSize: 123,
volumeType: 'volumeType',
},
noDevice: 'noDevice',
virtualName: 'virtualName',
}],
components: [{
componentArn: 'componentArn',
parameters: [{
name: 'name',
value: ['value'],
}],
}],
description: 'description',
tags: {
tagsKey: 'tags',
},
workingDirectory: 'workingDirectory',
});
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_imagebuilder as imagebuilder
cfn_image_recipe = imagebuilder.CfnImageRecipe(self, "MyCfnImageRecipe",
name="name",
parent_image="parentImage",
version="version",
# the properties below are optional
additional_instance_configuration=imagebuilder.CfnImageRecipe.AdditionalInstanceConfigurationProperty(
systems_manager_agent=imagebuilder.CfnImageRecipe.SystemsManagerAgentProperty(
uninstall_after_build=False
),
user_data_override="userDataOverride"
),
ami_tags={
"ami_tags_key": "amiTags"
},
ami_watermarks=["amiWatermarks"],
block_device_mappings=[imagebuilder.CfnImageRecipe.InstanceBlockDeviceMappingProperty(
device_name="deviceName",
ebs=imagebuilder.CfnImageRecipe.EbsInstanceBlockDeviceSpecificationProperty(
delete_on_termination=False,
encrypted=False,
iops=123,
kms_key_id="kmsKeyId",
snapshot_id="snapshotId",
throughput=123,
volume_size=123,
volume_type="volumeType"
),
no_device="noDevice",
virtual_name="virtualName"
)],
components=[imagebuilder.CfnImageRecipe.ComponentConfigurationProperty(
component_arn="componentArn",
parameters=[imagebuilder.CfnImageRecipe.ComponentParameterProperty(
name="name",
value=["value"]
)]
)],
description="description",
tags={
"tags_key": "tags"
},
working_directory="workingDirectory"
)
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.imagebuilder.*;
CfnImageRecipe cfnImageRecipe = CfnImageRecipe.Builder.create(this, "MyCfnImageRecipe")
.name("name")
.parentImage("parentImage")
.version("version")
// the properties below are optional
.additionalInstanceConfiguration(AdditionalInstanceConfigurationProperty.builder()
.systemsManagerAgent(SystemsManagerAgentProperty.builder()
.uninstallAfterBuild(false)
.build())
.userDataOverride("userDataOverride")
.build())
.amiTags(Map.of(
"amiTagsKey", "amiTags"))
.amiWatermarks(List.of("amiWatermarks"))
.blockDeviceMappings(List.of(InstanceBlockDeviceMappingProperty.builder()
.deviceName("deviceName")
.ebs(EbsInstanceBlockDeviceSpecificationProperty.builder()
.deleteOnTermination(false)
.encrypted(false)
.iops(123)
.kmsKeyId("kmsKeyId")
.snapshotId("snapshotId")
.throughput(123)
.volumeSize(123)
.volumeType("volumeType")
.build())
.noDevice("noDevice")
.virtualName("virtualName")
.build()))
.components(List.of(ComponentConfigurationProperty.builder()
.componentArn("componentArn")
.parameters(List.of(ComponentParameterProperty.builder()
.name("name")
.value(List.of("value"))
.build()))
.build()))
.description("description")
.tags(Map.of(
"tagsKey", "tags"))
.workingDirectory("workingDirectory")
.build();
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.ImageBuilder;
var cfnImageRecipe = new CfnImageRecipe(this, "MyCfnImageRecipe", new CfnImageRecipeProps {
Name = "name",
ParentImage = "parentImage",
Version = "version",
// the properties below are optional
AdditionalInstanceConfiguration = new AdditionalInstanceConfigurationProperty {
SystemsManagerAgent = new SystemsManagerAgentProperty {
UninstallAfterBuild = false
},
UserDataOverride = "userDataOverride"
},
AmiTags = new Dictionary<string, string> {
{ "amiTagsKey", "amiTags" }
},
AmiWatermarks = new [] { "amiWatermarks" },
BlockDeviceMappings = new [] { new InstanceBlockDeviceMappingProperty {
DeviceName = "deviceName",
Ebs = new EbsInstanceBlockDeviceSpecificationProperty {
DeleteOnTermination = false,
Encrypted = false,
Iops = 123,
KmsKeyId = "kmsKeyId",
SnapshotId = "snapshotId",
Throughput = 123,
VolumeSize = 123,
VolumeType = "volumeType"
},
NoDevice = "noDevice",
VirtualName = "virtualName"
} },
Components = new [] { new ComponentConfigurationProperty {
ComponentArn = "componentArn",
Parameters = new [] { new ComponentParameterProperty {
Name = "name",
Value = new [] { "value" }
} }
} },
Description = "description",
Tags = new Dictionary<string, string> {
{ "tagsKey", "tags" }
},
WorkingDirectory = "workingDirectory"
});
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"
cfnImageRecipe := awscdk.Aws_imagebuilder.NewCfnImageRecipe(this, jsii.String("MyCfnImageRecipe"), &CfnImageRecipeProps{
Name: jsii.String("name"),
ParentImage: jsii.String("parentImage"),
Version: jsii.String("version"),
// the properties below are optional
AdditionalInstanceConfiguration: &AdditionalInstanceConfigurationProperty{
SystemsManagerAgent: &SystemsManagerAgentProperty{
UninstallAfterBuild: jsii.Boolean(false),
},
UserDataOverride: jsii.String("userDataOverride"),
},
AmiTags: map[string]*string{
"amiTagsKey": jsii.String("amiTags"),
},
AmiWatermarks: []*string{
jsii.String("amiWatermarks"),
},
BlockDeviceMappings: []interface{}{
&InstanceBlockDeviceMappingProperty{
DeviceName: jsii.String("deviceName"),
Ebs: &EbsInstanceBlockDeviceSpecificationProperty{
DeleteOnTermination: jsii.Boolean(false),
Encrypted: jsii.Boolean(false),
Iops: jsii.Number(123),
KmsKeyId: jsii.String("kmsKeyId"),
SnapshotId: jsii.String("snapshotId"),
Throughput: jsii.Number(123),
VolumeSize: jsii.Number(123),
VolumeType: jsii.String("volumeType"),
},
NoDevice: jsii.String("noDevice"),
VirtualName: jsii.String("virtualName"),
},
},
Components: []interface{}{
&ComponentConfigurationProperty{
ComponentArn: jsii.String("componentArn"),
Parameters: []interface{}{
&ComponentParameterProperty{
Name: jsii.String("name"),
Value: []*string{
jsii.String("value"),
},
},
},
},
},
Description: jsii.String("description"),
Tags: map[string]*string{
"tagsKey": jsii.String("tags"),
},
WorkingDirectory: jsii.String("workingDirectory"),
})
Initializer
new CfnImageRecipe(scope: Construct, id: string, props: CfnImageRecipeProps)
CfnImageRecipe(scope: Construct, id: str, props: CfnImageRecipeProps)
new CfnImageRecipe(Construct scope, String id, CfnImageRecipeProps props)
new CfnImageRecipe(Construct scope, string id, CfnImageRecipeProps props)
NewCfnImageRecipe(Scope Construct, Id *string, Props CfnImageRecipeProps)
Construct Props
additionalInstanceConfigurationIResolvable | CfnImageRecipe.AdditionalInstanceConfigurationPropertyadditional_instance_configurationtyping.Union[IResolvable, AdditionalInstanceConfigurationProperty]additionalInstanceConfigurationIResolvableAdditionalInstanceConfigurationIResolvableAdditionalInstanceConfigurationinterface{}#Instance configuration adds a layer of control over those instances. You can define settings and add scripts to run when an instance is launched from your AMI.
amiTagsIResolvable | { [key: string]: string }ami_tagstyping.Union[IResolvable, typing.Mapping[str, str]]amiTagsIResolvableAmiTagsIResolvableAmiTagsinterface{}#amiWatermarksstring[]ami_watermarkstyping.List[str]amiWatermarksList<String>AmiWatermarksstring[]AmiWatermarks*[]*string#AMI watermarks are lineage markers that automatically propagate to derivative AMIs when the source AMI is copied or distributed.
blockDeviceMappingsIResolvable | IResolvable | CfnImageRecipe.InstanceBlockDeviceMappingProperty[]block_device_mappingstyping.Union[IResolvable, typing.List[typing.Union[IResolvable, InstanceBlockDeviceMappingProperty]]]blockDeviceMappingsIResolvableBlockDeviceMappingsIResolvableBlockDeviceMappingsinterface{}#componentsIResolvable | IResolvable | CfnImageRecipe.ComponentConfigurationProperty[]componentstyping.Union[IResolvable, typing.List[typing.Union[IResolvable, ComponentConfigurationProperty]]]componentsIResolvableComponentsIResolvableComponentsinterface{}#Recipes require a minimum of one build component, and can have a maximum of 20 build and test components in any combination.
notes
You can specify the parent image using one of the following options:
- AMI ID
- Image Builder image Amazon Resource Name (ARN)
- AWS Systems Manager (SSM) Parameter Store Parameter, prefixed by
ssm:, followed by the parameter name or ARN. - AWS Marketplace product ID
tags{ [key: string]: string }tagstyping.Mapping[str, str]tagsMap<String, String>TagsIDictionary<string, string>Tags*map[string]*string#notes
The semantic version has four nodes: <major>.<minor>.<patch>/<build>. You can assign values for the first three, and can filter on all of them.
Assignment: For the first three nodes you can assign any positive integer value, including zero, with an upper limit of 2^30-1, or 1073741823 for each node. Image Builder automatically assigns the build number to the fourth node.
Patterns: You can use any numeric pattern that adheres to the assignment requirements for the nodes that you can assign. For example, you might choose a software version pattern, such as 1.0.0, or a date, such as 2021.01.01.
workingDirectorystringworking_directorystrworkingDirectoryStringWorkingDirectorystringWorkingDirectory*string#Properties
additionalInstanceConfigurationIResolvable | CfnImageRecipe.AdditionalInstanceConfigurationPropertyadditional_instance_configurationtyping.Union[IResolvable, AdditionalInstanceConfigurationProperty]additionalInstanceConfigurationIResolvableAdditionalInstanceConfigurationIResolvableAdditionalInstanceConfigurationinterface{}#amiTagsIResolvable | { [key: string]: string }ami_tagstyping.Union[IResolvable, typing.Mapping[str, str]]amiTagsIResolvableAmiTagsIResolvableAmiTagsinterface{}#amiWatermarksstring[]ami_watermarkstyping.List[str]amiWatermarksList<String>AmiWatermarksstring[]AmiWatermarks*[]*string#For example, arn:aws:imagebuilder:us-east-1:123456789012:image-recipe/mybasicrecipe/2019.12.03 .
attrLatestVersionIResolvableattr_latest_versionIResolvableattrLatestVersionIResolvableAttrLatestVersionIResolvableAttrLatestVersionIResolvablerequired#attrLatestVersionArnstringattr_latest_version_arnstrattrLatestVersionArnStringAttrLatestVersionArnstringAttrLatestVersionArn*stringrequired#attrLatestVersionMajorstringattr_latest_version_majorstrattrLatestVersionMajorStringAttrLatestVersionMajorstringAttrLatestVersionMajor*stringrequired#attrLatestVersionMinorstringattr_latest_version_minorstrattrLatestVersionMinorStringAttrLatestVersionMinorstringAttrLatestVersionMinor*stringrequired#attrLatestVersionPatchstringattr_latest_version_patchstrattrLatestVersionPatchStringAttrLatestVersionPatchstringAttrLatestVersionPatch*stringrequired#blockDeviceMappingsIResolvable | IResolvable | CfnImageRecipe.InstanceBlockDeviceMappingProperty[]block_device_mappingstyping.Union[IResolvable, typing.List[typing.Union[IResolvable, InstanceBlockDeviceMappingProperty]]]blockDeviceMappingsIResolvableBlockDeviceMappingsIResolvableBlockDeviceMappingsinterface{}#CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringrequiredstatic#cfnOptionsICfnResourceOptionscfn_optionsICfnResourceOptionscfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptionsrequired#cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*stringrequired#componentsIResolvable | IResolvable | CfnImageRecipe.ComponentConfigurationProperty[]componentstyping.Union[IResolvable, typing.List[typing.Union[IResolvable, ComponentConfigurationProperty]]]componentsIResolvableComponentsIResolvableComponentsinterface{}#creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*stringrequired#imageRecipeRefImageRecipeReferenceimage_recipe_refImageRecipeReferenceimageRecipeRefImageRecipeReferenceImageRecipeRefImageRecipeReferenceImageRecipeRefImageRecipeReferencerequired#The logical ID of the element is calculated from the path of the resource node in the construct tree.
To override this value, use overrideLogicalId(newLogicalId).
If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).
CfnElements must be defined within a stack scope (directly or indirectly).
tagsRaw{ [key: string]: string }tags_rawtyping.Mapping[str, str]tagsRawMap<String, String>TagsRawIDictionary<string, string>TagsRaw*map[string]*string#This version follows the semantic version syntax.
workingDirectorystringworking_directorystrworkingDirectoryStringWorkingDirectorystringWorkingDirectory*string#Methods
addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#1 parameter
Parameters
pathpathpathpathPath— The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.
addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.
addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#notes · 2 parameters
To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).
If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.
To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.
For example,
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');
would add the overrides
"Properties": {
"GlobalSecondaryIndexes": [
{
"Projection": {
"NonKeyAttributes": [ "myattribute" ]
...
}
...
},
{
"ProjectionType": "INCLUDE"
...
},
]
...
}
The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.
Parameters
pathpathpathpathPath— - The path of the property, you can use dot notation to override values in complex types.valuevaluevaluevalueValue— - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#1 parameter
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#Syntactic sugar for addOverride("Properties.<...>", value).
2 parameters
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path of the property.valuevaluevaluevalueValue— The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.
applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.
1 parameter
Parameters
strengthstrengthstrengthstrengthStrength— - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#notes
The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.
The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:
arnForImageRecipe(resource: IImageRecipeRef): string@staticmethod def arn_for_image_recipe(resource: IImageRecipeRef) -> strpublic static String arnForImageRecipe(IImageRecipeRef resource)public static string ArnForImageRecipe(IImageRecipeRef resource)func ArnForImageRecipe(Resource IImageRecipeRef) *stringstatic#cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.
1 parameter
Parameters
attributeNameattribute_nameattributeNameattributeNameAttributeName— The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#1 parameter
Parameters
inspectorinspectorinspectorinspectorInspector— tree inspector to collect and process attributes.
isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.
returns
Returns: The construct as a stack element or undefined if it is not a stack element.
isCfnImageRecipe(x: any): boolean@staticmethod def is_cfn_image_recipe(x: Any) -> boolpublic static Boolean isCfnImageRecipe(Object x)public static bool IsCfnImageRecipe(object x)func IsCfnImageRecipe(X interface{}) *boolstatic#isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#notes · 1 parameter · returns
Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.
Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.
Parameters
xxxxX— Any object.
Returns: true if x is an object created from a class which extends Construct.
obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.
overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#1 parameter
Parameters
newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId— The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#2 parameters
Parameters
targettargettargettargetTarget— The dependency to replace.newTargetnew_targetnewTargetnewTargetNewTarget— The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#returns
Returns: a string representation of this resource
with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.